﻿    @using PROJETMODELE.Models.BML.TG
@{
    DroitsBM droitUtilisateur = new DroitsBM();
    List<string> cmd = droitUtilisateur.CommandeExecutableUser(Session["Code_User"].ToString());

    Layout = null;
}

<script>
    // handle context menu clicks.
    var documentName = ["id:id:string", "Famille:Famille:stringdrop:15%", "Produit:Produit:string:28.6%", "Casier:Casier:number:18%", "Bouteille:Bouteille:number:18%", "Montant:Montant:number:18%:sum"];
</script> 


<input id="LoardUrl" value="/Statistique/ajaxEtatCommande" type="hidden" />
<input id="actifsupUrl" value="/Statistique/Activer_Suspendre/" type="hidden" />
<input id="histoUrl" value="/Historique_Solde/IndexHistoriqueSoldeCaisse/" type="hidden" />
<input id="telechargerUrl" value="/Base/ExportEtatCaisse/0" type="hidden" />
<script  src="~/Scripts/IndexJS.js"></script>
 <div id="messages">
    <div>
        Confirmation
    </div>
    <div class="cont">
            <br />
        <div> 
            Sélectionnez un seul enrégistrement !
        </div>   
    </div>
</div>
  <div id="confirm">
        <div>
            Confirmation
        </div>
    <div class="cont">
            <br />
        <div> 
            Voulez-vous confirmer cette action ?
        </div>   
        <div>
                <br />
                  <button title="OK"  type="button" id="ok" class="oufbutton"><i class="ouf-ok"></i> OK</button>
          <button title="Annuler"  type="button" id="annuler" class="oufbutton"><i class="ouf-cancel"></i> Annuler</button>
        </div>
    </div>
</div> 

<span style="font-weight:bold"></span>
<div class="boutons text-right">
    <table>
        <tr>
            <td>
                 @HTML_OUF.DropDownList("ID_Fournisseur",int.Parse(Session["ID_Element"].ToString()), TempData["ID_Fournisseur"] as SelectList, "250")
    
            </td>
            <td style="padding-left:10px">
                 @Html.Partial("Filtre")
            </td>
        </tr>
    </table>
   
  
    
        
     
         
     
 </div>
  <div  id="grades"></div>
  <div id='Menu'>
        <ul>
      
        </ul>
   </div>
<script>
    
    $("#C_ID_Fournisseur").off("change");
    $("#C_ID_Fournisseur").on("change", function (event) {
        ChangerDepot();
        return false;
    });

    ChangerDepot = function () {
        $("#loaderSpace,#loader").show();
        $.ajax({
            url: '/Base/ChangerElment/' + $("#C_ID_Fournisseur").val(), // le nom du fichier indiqué dans le formulaire
            type: 'POST', // la méthode indiquée dans le formulaire (get ou post)
            dataType: 'json'
        })
        .success(function (response) {
            $("#grades").jqxGrid('updatebounddata', 'cells');
            $("#grades").jqxGrid('clearselection');
            $("#loaderSpace,#loader").hide();
        })
        .error(function () {
            $("#loaderSpace,#loader").hide();
            alert('echeck');
        });
    };

        $("#telecharger").on('click', function (event) {
            var textData = "";
            var Rowd = $('#grades').jqxGrid('getrows');
            for (var i = 0; i < Rowd.length; i++) {
                if (i == 0) {
                    textData = Rowd[i].id;
                } else {
                    textData = textData + ";" + Rowd[i].id;
                }
            }
            $("#loaderSpace,#loader").show();
            $.ajax({
                url: '/Base/SetTitre',
                type: 'post',
                data: {
                    q: textData
                },
                success: function (data) {
                    $("#loaderSpace,#loader").hide();
                    window.location = "/Base/ExportEtatCaisse/0";
                    //réponse du serveur
                }
            });
        });


    /*
     $("#pdf").off("change");
    $("#pdf").on("click", function (event) {
        ChangerDepot();
        return true;
    });

    ChangerDepot = function () {
        $("#loaderSpace,#loader").show();
        $.ajax({
            url: '/Base/ChangerE/1' , // le nom du fichier indiqué dans le formulaire
            type: 'POST', // la méthode indiquée dans le formulaire (get ou post)
            dataType: 'json'
        })
        .success(function (response) {
           
            $("#loaderSpace,#loader").hide();
        })
        .error(function () {
            $("#loaderSpace,#loader").hide();
            alert('echeck');
        });
    };
    */

</script>

  
